curl --location 'https://api.flashcat.cloud/api/v1/northstar/business/dashboard/upsert' \
--header 'X-User-Token: YOUR_USER_TOKEN' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjM2ZTRjZjI3LWI4OWYtNDFlZS04ZDhmLWZiMjdhMmZlZGIzOSIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3NTExMTEyMywidXNlcl9pZGVudGl0eSI6IjEtcm9vdCJ9.IwPWDg92AjjvuUTGplaXgpexmOSsONx73M7Y7pOI_vE' \
--header 'Content-Type: application/json' \
--data '{
"id": 123,
"name": "示例名称",
"order": 1,
"business_id": 123,
"metrics": [
{
"id": 123,
"name": "示例名称",
"identifier": "string",
"aggregate": "string",
"legend": "string"
}
],
"chart_config": {
"chartType": "line",
"timeRange": "1h",
"relativeTime": "1h",
"downsample": "avg_over_time",
"hideFooter": false,
"unit": "percent",
"tooltipPrecision": "2",
"lineInterpolation": true,
"timeseries": {
"tooltip": {
"mode": "all",
"sort": "none"
},
"legend": {
"clickBehaviour": "show",
"selectMode": "multiple"
}
}
}
}'